
// =====================================
// Shader Venezia
// Clatoo 16/06/2013
// =====================================

// ------------------------------------- 
// Ciel
// ------------------------------------- 

textures/venezia/stencilciel
{
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightRGB 240 248 254
	q3map_surfacelight 700
	qer_editorimage textures/venezia/stencilciel.tga
	skyparms env/skyvenezia/venezia - -
	nopicmip
	nomipmaps
}

// ------------------------------------- 
// Eau canal
// ------------------------------------- 

textures/venezia/eau01
{
	qer_editorimage textures/venezia/eau01.jpg
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	{ 
		map textures/venezia/eau02.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .15 .15
		//tcmod scale .05 .05
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/venezia/eau03.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .15 .15
		//tcmod scale .05 .05
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/venezia/eau01.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .15 .15
		//tcmod scale .05 .05
		tcmod scroll .001 .025
	}	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

// ------------------------------------- 
// WaterCaulk
// ------------------------------------- 

textures/venezia/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/venezia/watercaulk.tga
	
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

// ------------------------------------- 
// Fum
// ------------------------------------- 

textures/venezia/vapeur_01
{
	qer_editorimage textures/venezia/vapeur_01.jpg
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	deformvertexes autosprite2
	{
		animMap 8 textures/venezia/vapeur_01.jpg textures/venezia/vapeur_02.jpg textures/venezia/vapeur_03.jpg textures/venezia/vapeur_04.jpg textures/venezia/vapeur_05.jpg textures/venezia/vapeur_06.jpg textures/venezia/vapeur_07.jpg textures/venezia/vapeur_08.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ------------------------------------- 
// Flamme
// ------------------------------------- 

textures/venezia/vflame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	q3map_surfacelight 50
	qer_editorimage textures/venezia/vflame1.tga
	deformVertexes autosprite
	{
		animMap 3 textures/venezia/vflame1.tga textures/venezia/vflame2.tga textures/venezia/vflame3.tga textures/venezia/vflame2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 3 textures/venezia/vflame2.tga textures/venezia/vflame3.tga textures/venezia/vflame2.tga textures/venezia/vflame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/venezia/vflameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

// ------------------------------------- 
// Chaine
// ------------------------------------- 

textures/venezia/vchaine1
{
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	nopicmip
	nomipmaps
	{
		map textures/venezia/vchaine1.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ------------------------------------- 
// Alpha
// ------------------------------------- 

textures/venezia/vdetail01
{
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	nopicmip
	nomipmaps
	{
		map textures/venezia/vdetail01.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ------------------------------------- 

textures/venezia/vdetail02
{
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	nopicmip
	nomipmaps
	{
		map textures/venezia/vdetail02.tga
		AlphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ------------------------------------- 

textures/venezia/vdetail04
{
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	nopicmip
	nomipmaps
	{
		map textures/venezia/vdetail04.tga
		AlphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ------------------------------------- 

textures/venezia/vdetail08
{
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	nopicmip
	nomipmaps
	{
		map textures/venezia/vdetail08.tga
		AlphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ------------------------------------- 

textures/venezia/vdetail09
{
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	nopicmip
	nomipmaps
	{
		map textures/venezia/vdetail09.tga
		AlphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ------------------------------------- 

textures/venezia/vdetail10
{
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	nopicmip
	nomipmaps
	{
		map textures/venezia/vdetail10.tga
		AlphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ------------------------------------- 

textures/venezia/vdetail11
{
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	nopicmip
	nomipmaps
	{
		map textures/venezia/vdetail11.tga
		AlphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ------------------------------------- 


textures/venezia/vdetail15
{ 
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	nopicmip
	nomipmaps
	{ 
           map textures/venezia/vdetail15.tga 
   		alphaFunc GE128  
   		depthwrite
 	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


// ------------------------------------- 

textures/venezia/vdetail16
{
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	nopicmip
	nomipmaps
	{
		map textures/venezia/vdetail16.tga
		AlphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ------------------------------------- 

textures/venezia/vdetail17
{
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	nopicmip
	nomipmaps
	{
		map textures/venezia/vdetail17.tga
		AlphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ------------------------------------- 
// Plantes
// ------------------------------------- 

textures/venezia/vherbes01
{
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	nopicmip
	nomipmaps
	deformVertexes wave 5 sin 0 .3 0 .3
	{
		map textures/venezia/vherbes01.tga
		AlphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ------------------------------------- 

textures/venezia/fleurs
{
	surfaceparm alphashadow
	// cull none
	nopicmip
	q3map_noshadow 16
	{
		map textures/venezia/fleurs.tga
		AlphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

// ------------------------------------- 

textures/venezia/plante_03
{
	surfaceparm alphashadow
	// cull none
	nopicmip
	q3map_noshadow 16
	{
		map textures/venezia/plante_03.tga
		AlphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

// ------------------------------------- 
// Fenetres
// ------------------------------------- 

textures/venezia/vfenetre01
{
	{	
		map textures/venezia/vfenetre01.tga
	}
	{
		map textures/venezia/reflet01.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/venezia/vfenetre01.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR 
	}
}

textures/venezia/vfenetre02
{
	{	
		map textures/venezia/vfenetre02.tga
	}
	{
		map textures/venezia/reflet01.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/venezia/vfenetre02.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR 
	}
}

textures/venezia/vfenetre03
{
	{	
		map textures/venezia/vfenetre03.tga
	}
	{
		map textures/venezia/reflet01.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/venezia/vfenetre03.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR 
	}
}

textures/venezia/vfenetre04
{
	{	
		map textures/venezia/vfenetre04.tga
	}
	{
		map textures/venezia/reflet01.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/venezia/vfenetre04.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR 
	}
}

textures/venezia/vfenetre05
{
	{	
		map textures/venezia/vfenetre05.tga
	}
	{
		map textures/venezia/reflet01.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/venezia/vfenetre05.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR 
	}
}

textures/venezia/vfenetre06
{
	{	
		map textures/venezia/vfenetre06.tga
	}
	{
		map textures/venezia/reflet01.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/venezia/vfenetre06.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR 
	}
}

// ------------------------------------- 
// Drapeau
// ------------------------------------- 

textures/venezia/vdrapeau01
{
	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
        {
		map textures/venezia/vdrapeau01.jpg
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphaFunc GE128
		rgbGen vertex
         }
}

textures/venezia/vdrapeau02
{
	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
        {
		map textures/venezia/vdrapeau02.jpg
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphaFunc GE128
		rgbGen vertex
         }
}




